/**
 * Title : Treebolic browser
 * Description: Treebolic browser
 * Version: 2.x
 * Copyright:	(c) 2001-2008
 * Terms of use:see license agreement at http://treebolic.sourceforge.net/en/license.htm
 * Author: Bernard Bou
 * Company: bsys
 */
package treebolic;

import treebolic.browser.MainFrame;
import treebolic.commons.Laf;

/**
 * Browser
 * 
 * @author Bernard Bou
 */
public class Browser
{
	// D A T A

	/**
	 * Version
	 */
	static private final String theVersion = "provider";

	/**
	 * Get version
	 * 
	 * @return version
	 */
	static public String getVersion()
	{
		return Browser.theVersion;
	}

	// M A I N

	/**
	 * Main
	 * 
	 * @param theseArgs
	 *        arguments
	 */
	public static void main(final String[] theseArgs)
	{
		Laf.lookAndFeel(theseArgs);
		new MainFrame(theseArgs);
	}
}
