/**
 * Title :		Hyperbolic tree engine
 * Description: Treebolic Engine
 * Version:		1.10.x
 * Copyright:	(c) 2001-2005
 * Terms of use:see license agreement at http://treebolic.sourceforge.net/en/license.htm
 * Author:		Bernard Bou
 * Company:		bsys
 * Update:		21 juin 08
 */

package treebolic.browser;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * @author bbou
 */
public class Messages
{
	private static final String BUNDLE_NAME = "treebolic.browser.messages"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle.getBundle(Messages.BUNDLE_NAME);

	private Messages()
	{
		// do nothing
	}

	public static String getString(final String key)
	{
		try
		{
			return Messages.RESOURCE_BUNDLE.getString(key);
		}
		catch (final MissingResourceException e)
		{
			return '!' + key + '!';
		}
	}
}
