/**
 * Title :	Treebolic generator
 * Description: Treebolic generator
 * Version:	provider
 * Copyright (c) 2001-2008
 * Terms of use:see license agreement at http://treebolic.sourceforge.net/en/license.htm
 * Author: Bernard Bou
 * Company: bsys
 */
package treebolic.generator;

/**
 * Pair
 * 
 * @author Bernard Bou
 * @param <T1>
 *        type of first member of the pair
 * @param <T2>
 *        type of second member of the pair
 */
public class Pair<T1, T2>
{
	/**
	 * Constructor
	 * 
	 * @param thisFirst
	 *        first member of the pair
	 * @param thisSecond
	 *        second member of the pair
	 */
	public Pair(final T1 thisFirst, final T2 thisSecond)
	{
		this.theFirst = thisFirst;
		this.theSecond = thisSecond;
	}

	/**
	 * First member of the pair
	 */
	public T1 theFirst;

	/**
	 * Second member of the pair
	 */
	public T2 theSecond;
}
