/**
 * Title: Hyperbolic engine
 * Description: Treebolic Engine
 * Version: provider
 * Copyright: (c) 2001-2008
 * Terms of use:see license agreement at http://treebolic.sourceforge.net/en/license.htm
 * Author: Bernard Bou
 * Company: bsys
 * Update: Mon Mar 10 00:00:00 CEST 2008
 */
package treebolic.model;

/**
 * Data model
 * 
 * @author Bernard Bou
 */
public class Model
{
	/**
	 * Tree
	 */
	public final Tree theTree;

	/**
	 * Settings
	 */
	public final Settings theSettings;

	/**
	 * Constructor
	 */
	public Model(final Tree thisTree, final Settings theseSettings)
	{
		this.theTree = thisTree;
		this.theSettings = theseSettings;
	}
}
