/**
 * Title: Treebolic provider
 * Description: Treebolic provider using XSL-transformed freemind file
 * Version: provider
 * Copyright: (c) 2001-2008
 * Terms of use:see license agreement at http://treebolic.sourceforge.net/en/license.htm
 * Author: Bernard Bou
 * Company: bsys
 */
package treebolic.provider.xslt.freemind;

import java.net.URL;

/**
 * Provider for Freemind (through XSL)
 * 
 * @author Bernard Bou
 */
public class Provider extends treebolic.provider.xslt.Provider
{
	/*
	 * (non-Javadoc)
	 * @see treebolic.provider.xslt.Provider#getDtdUrl()
	 */
	@Override
	protected URL getDtdUrl()
	{
		return Provider.class.getResource("freemind.xsd");
	}

	/*
	 * (non-Javadoc)
	 * @see treebolic.provider.xslt.Provider#getXsltUrl()
	 */
	@Override
	protected URL getXsltUrl()
	{
		return Provider.class.getResource("freemind2treebolic.xsl");
	}
}
