/**
 * Title :	Property view
 * Description: Property editor
 * Version:	provider
 * Copyright (c) 2001-2008
 * Terms of use:see license agreement at http://treebolic.sourceforge.net/en/license.htm
 * Author: Bernard Bou
 * Company: bsys
 */
package bsys.propertyview;

import java.util.EventListener;

/**
 * Pick listener interface
 * 
 * @author Bernard Bou
 */
public interface PickListener extends EventListener
{
	/**
	 * Pick event listener
	 * 
	 * @param thisObject
	 *        parameter
	 */
	public void picked(Object thisObject);
}
