/**
 * Title :	Treebolic generator
 * Description: Treebolic generator
 * Version:	provider
 * Copyright (c) 2001-2008
 * Terms of use:see license agreement at http://treebolic.sourceforge.net/en/license.htm
 * Author: Bernard Bou
 * Company: bsys
 */
package treebolic.generator;

import javax.swing.WindowConstants;

import treebolic.Generator;
import treebolic.Messages;

/**
 * About dialog
 * 
 * @author Bernard Bou
 */
public class AboutDialog extends treebolic.commons.AboutDialog
{
	private static final long serialVersionUID = 1L;

	/**
	 * Constructor
	 */
	public AboutDialog()
	{
		super(Messages.getString("AboutDialog.0"), Generator.getVersion()); //$NON-NLS-1$
	}

	/**
	 * Standalone entry point
	 * 
	 * @param theseArgs
	 *        program arguments
	 */
	static public void main(final String[] theseArgs)
	{
		final AboutDialog thisDialog = new AboutDialog();
		thisDialog.setModal(true);
		thisDialog.setVisible(true);
		thisDialog.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
		System.exit(0);
	}
}
