/**
 * Title :	Treebolic generator
 * Description: Treebolic generator
 * Version:	provider
 * Copyright (c) 2001-2008
 * Terms of use:see license agreement at http://treebolic.sourceforge.net/en/license.htm
 * Author: Bernard Bou
 * Company: bsys
 */
package treebolic.generator.tree;

import treebolic.model.MenuItem;
import treebolic.model.Settings;

/**
 * Menu item wrapper
 * 
 * @author Bernard Bou
 */
public class MenuItemWrapper extends SettingsWrapper
{
	/**
	 * Menu item
	 */
	public MenuItem theMenuItem;

	/**
	 * Constructor
	 * 
	 * @param thisMenuItem
	 *        menu item
	 * @param theseSettings
	 *        settings
	 */
	public MenuItemWrapper(final MenuItem thisMenuItem, final Settings theseSettings)
	{
		super(theseSettings);
		this.theMenuItem = thisMenuItem;
	}
}
