/**
 * Title :	Treebolic generator
 * Description: Treebolic generator
 * Version:	provider
 * Copyright (c) 2001-2008
 * Terms of use:see license agreement at http://treebolic.sourceforge.net/en/license.htm
 * Author: Bernard Bou
 * Company: bsys
 */
package treebolic.generator.tree;

import java.util.List;

import treebolic.model.MenuItem;
import treebolic.model.Settings;

/**
 * Menu wrapper
 * 
 * @author Bernard Bou
 */
public class MenuWrapper extends SettingsWrapper
{
	/**
	 * Menu
	 */
	public List<MenuItem> theMenu;

	/**
	 * Constructor
	 * 
	 * @param thisMenu
	 *        menu
	 * @param theseSettings
	 *        settings
	 */
	public MenuWrapper(final List<MenuItem> thisMenu, final Settings theseSettings)
	{
		super(theseSettings);
		this.theMenu = thisMenu;
	}
}
