/**
 * Title: Hyperbolic engine
 * Description: Treebolic Engine
 * Version: provider
 * Copyright: (c) 2001-2008
 * Terms of use:see license agreement at http://treebolic.sourceforge.net/en/license.htm
 * Author: Bernard Bou
 * Company: bsys
 * Update: Mon Mar 10 00:00:00 CEST 2008
 */
package treebolic.model;

import treebolic.control.Controller;

/**
 * Menu item
 * 
 * @author Bernard Bou
 */
public class MenuItem
{
	/**
	 * Label
	 */
	public String theLabel;

	/**
	 * Action
	 */
	public Controller.Action theAction;

	/**
	 * Url link
	 */
	public String theLink;

	/**
	 * Url target frame
	 */
	public String theTarget;

	/**
	 * Match target
	 */
	public String theMatchTarget;

	/**
	 * Match scope
	 */
	public Controller.MatchScope theMatchScope;

	/**
	 * Match mode
	 */
	public Controller.MatchMode theMatchMode;
}
